# RakNet::RoomsPluginFunc Struct Reference
[RoomsCommands]

Base class for rooms functionality. More...

`#include <RoomsPlugin.h>`

Inheritance diagram for RakNet::RoomsPluginFunc:

List of all members.

## Public Attributes
RakNet::RakString | userName
RoomsErrorCode | resultCode

## Detailed Description

Base class for rooms functionality.

Operations performed on rooms are not in the RoomsPlugin - instead, each structure encapsulates one operation

## Member Data Documentation

RoomsErrorCode RakNet::RoomsPluginFunc::resultCode

Parameters:

  `[out]` | resultCode | Result of this operation

RakNet::RakString RakNet::RoomsPluginFunc::userName

Parameters:

  `[in]` | userName | Who is performing this operation. Input parameter

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Rooms/RoomsPlugin.h